Part Point

From FreeCAD Documentation
Revision as of 20:55, 4 March 2022 by David69 (talk | contribs) (Created page with "Voir aussi : Éditeur de propriétés")

Part Point

Emplacement du menu
Pièce → Créer des primitives... → Point
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Un Part Point est un point paramétrique qui peut être créé avec la commande Part Primitives. Ses coordonnées sont relatives au système de coordonnées défini par sa propriété DonnéesPlacement.

Utilisation

Voir Part Primitives.

Propriétés

Voir aussi : Éditeur de propriétés

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DonnéesX (Distance): The X coordinate of the point. The default is 0mm.
  • DonnéesY (Distance): The Y coordinate of the point. The default is 0mm.
  • DonnéesZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()